OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.MESA.FramebufferFlipY

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetMESAFramebufferFlipY :: MonadIO m => m Bool
- gl_MESA_framebuffer_flip_y :: Bool
- pattern GL_FRAMEBUFFER_FLIP_Y_MESA :: GLenum
- glFramebufferParameteriMESA :: MonadIO m => GLenum -> GLenum -> GLint -> m ()
- glGetFramebufferParameterivMESA :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()

# Extension Support

glGetMESAFramebufferFlipY :: MonadIO m => m Bool Source #

Is the MESA_framebuffer_flip_y extension supported?

gl_MESA_framebuffer_flip_y :: Bool Source #

Is the MESA_framebuffer_flip_y extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetMESAFramebufferFlipY` in those cases instead.

# Enums

pattern GL_FRAMEBUFFER_FLIP_Y_MESA :: GLenum Source #

# Functions

glFramebufferParameteriMESA Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLenum | `pname` of type FramebufferParameterName.
-> GLint | `param`.
-> m () |

glGetFramebufferParameterivMESA Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLenum | `pname` of type FramebufferAttachmentParameterName.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |